- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_mtu – Manages MTU settings on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages MTU settings on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
interface - |  | Full name of interface, i.e. 40GE1/0/22.
jumbo_max - |  | Maximum frame size. The default value is 9216. The value is an integer and expressed in bytes. The value range is 1536 to 12224 for the CE12800 and 1536 to 12288 for ToR switches.
jumbo_min - |  | Non-jumbo frame size threshold. The default value is 1518. The value is an integer that ranges from 1518 to jumbo_max, in bytes.
mtu - |  | MTU for a specific interface. The value is an integer ranging from 46 to 9600, in bytes.
state - | Choices: present ← absent | Specify desired state of the resource.

## Notes

Note

- Either `sysmtu` param is required or `interface` AND `mtu` params are req’d.
- `state=absent` unconfigures a given MTU if that value is currently present.
- Recommended connection is `network_cli`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: Mtu test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: "Config jumboframe on 40GE1/0/22"
        ce_mtu:
          interface: 40GE1/0/22
          jumbo_max: 9000
          jumbo_min: 8000
          provider: "{{ cli }}"

      - name: "Config mtu on 40GE1/0/22 (routed interface)"
        ce_mtu:
          interface: 40GE1/0/22
          mtu: 1600
          provider: "{{ cli }}"

      - name: "Config mtu on 40GE1/0/23 (switched interface)"
        ce_mtu:
          interface: 40GE1/0/22
          mtu: 9216
          provider: "{{ cli }}"

      - name: "Config mtu and jumboframe on 40GE1/0/22 (routed interface)"
        ce_mtu:
          interface: 40GE1/0/22
          mtu: 1601
          jumbo_max: 9001
          jumbo_min: 8001
          provider: "{{ cli }}"

      - name: "Unconfigure mtu and jumboframe on a given interface"
        ce_mtu:
          state: absent
          interface: 40GE1/0/22
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of mtu/sysmtu values after module execution Sample: {'mtu': '1700', 'jumbo_max': '9000', 'jumbo_min': '8000'}
existing dictionary | always | k/v pairs of existing mtu/sysmtu on the interface/system Sample: {'mtu': '1600', 'jumbo_max': '9216', 'jumbo_min': '1518'}
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'mtu': '1700', 'jumbo_max': '9000', 'jumbo_min': '8000'}
updates list | always | command sent to the device Sample: ['interface 40GE1/0/23', 'mtu 1700', 'jumboframe enable 9000 8000']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- QijunPan (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.